1. Email Account
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
        GET
      • Get email account status
        GET
      • Check account vitals
        POST
      • Enable Email account warmup
        POST
      • Pause Email account warmup
        POST
      • Delete Email account
        POST
      • Get Warmup Stats (Workspace-Level)
        GET
      • Bulk Add SMTP Accounts
        POST
      • Bulk Update Email Accounts
        PUT
      • Bulk Update Email Account Warmup Status
        PATCH
      • Bulk Assign/Remove Tags from Email Accounts
        PUT
      • Bulk reconnect email accounts
        POST
      • Get email account stats for a date range
        GET
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
    • List all email accounts in the workspace
    • Check if an email exists in another workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Email Account

Get Warmup Stats (Workspace-Level)

GET
https://api.plusvibe.ai/api/v1/account/warmup-stats
Returns warmup metrics (inbox, spam, promotion) for all email accounts in a workspace over a given date range if email_acc_id is not provided.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
Successfully retrieved workspace-level warmup stats
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/api/v1/account/warmup-stats?workspace_id=undefined&start_date=undefined&end_date=undefined' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": "success",
    "emailAcc": {
        "google_percent": "99.2",
        "other_percent": "99.9",
        "microsoft_percent": "99.4",
        "total_inbox_sent": 10980,
        "total_spam_sent": 65,
        "total_promotion_sent": 0,
        "total_warmup_sent": 11045,
        "inbox_percent": "99.4",
        "spam_percent": "0.6",
        "promotion_percent": "0.0",
        "chart_data": [
            {
                "date": "7 Feb 25",
                "dt": "2025-02-07",
                "inbox": 683,
                "sent": 711,
                "spam": 28,
                "promotion": 0
            }
        ],
        "total_inboxes": 40,
        "total_domains": 14,
        "email_domain_detail": {
            "plusvibeainow.com": 2,
            "tryplusvibeai.com": 3,
            "findplusvibeai.com": 3
        }
    }
}
Modified at 2026-07-24 16:34:04
Previous
Delete Email account
Next
Bulk Add SMTP Accounts
Built with